<?php
/**
* Plugin Name: Alerts
* Plugin URI: https://helpdepolitie.nl
* Description: Displaying amber and burgernet alerts
* Version: 0.1
* Text Domain: helpdepolitie.nl
* Author: Evert Achterstraat
* Author URI: https://achterstraat.com
*/

add_shortcode('displaying-alerts-plugin', function($atts)
{
	$html = null;
	$css .= '<style>'.
		'.amberalert { border: 1px solid #F48F09; }'.
		'.burgeralert { border: 1px solid #1C6EAA; }'.
		'.amberalert, .burgeralert { border-radius: 5px; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19); }'.
	'</style>';

	$amberalert = 'https://www.burgernet.nl/static/posters/landelijk/180x120.jpg';
	if(@getimagesize($amberalert))
	{
		$html .= '<a href="https://www.politie.nl/amberalert" target="_blank">
			<img src="'.$amberalert.'" class="amberalert">
		</a>';
	}
	else
	{
		$burgeralert = json_decode(@file_get_contents('https://helpdepolitie.nl/alerts'), true);
		if(is_array($burgeralert))
		{
			$html .= '<a href="https://www.burgernet.nl'.$burgeralert['link'].'" target="_blank">
				<img src="https://helpdepolitie.nl/alerts?image&time='.time().'" class="burgeralert">
			</a>';
		}
	}
	return (is_null($html) ? '' : $css.$html);
});


